import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  userId: z.literal(true).optional(),
  path: z.literal(true).optional(),
  isActive: z.literal(true).optional(),
  createdAt: z.literal(true).optional()
}).strict();
export const BackupDestinationMinAggregateInputObjectSchema: z.ZodType<Prisma.BackupDestinationMinAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.BackupDestinationMinAggregateInputType>;
export const BackupDestinationMinAggregateInputObjectZodSchema = makeSchema();
